0.92 latest bahmni installation issues

Tags: #<Tag:0x00007f0f238982d8>

Hello Community,

I have compiled the list of issues that we encountered during 0.92_147 installation. Some of them are solved and already posted in community but some yet to be solved. I hope we could make more stable release for 92 in upcoming days incorporating solutions for all listed issues.

1. Installation not supported by latest ansible

Solution degrade to 2.4.2.0:  pip install 'ansible==2.4.2.0'

2. Postgres Error

task path: /opt/bahmni-installer/bahmni-playbooks/roles/postgres/tasks/main.yml:9 An exception occurred during task execution. fatal: [localhost]: FAILED! => {“changed”: false, “module_stderr”: “Traceback (most recent call last):n File “/tmp/ansible_zZpqvy/ansible_module_yum.py”, line 1345, in n main()n File “/tmp/ansible_zZpqvy/ansible_module_yum.py”, line 1336, in mainn skip_broken, security, params[‘installroot’], allow_downgrade)n File “/tmp/ansible_zZpqvy/ansible_module_yum.py”, line 1228, in ensuren res = install(module, pkgs, repoq, yum_basecmd, conf_file, en_repos, dis_repos, installroot=installroot, allow_downgrade=allow_downgrade)n File “/tmp/ansible_zZpqvy/ansible_module_yum.py”, line 743, in installn envra = local_envra(module, package)n File “/tmp/ansible_zZpqvy/ansible_module_yum.py”, line 609, in local_envran header = ts.hdrFromFdno(fd)n File “/usr/lib64/python2.7/site-packages/rpm/transaction.py”, line 170, in hdrFromFdnon raise rpm.error(“error reading package header”)n_rpm.error: error reading package headern”, “module_stdout”: “”, “msg”: “MODULE FAILURE”, “rc”: 0}

Solution : Add following in setup.yml
		 postgres_repo_rpm_name: pgdg-redhat-repo-latest.noarch.rpm

3. Unable to start service odoo error while installing Bahmni:

Error type:  fatal: [localhost]: FAILED! => {“changed”: false, “msg”: “Unable to start service odoo: Job for odoo.service failed because a configured resource limit was exceeded. See “systemctl status odoo.service” and “journalctl -xe” for details.\n”}

Solution : pip install beautifulsoup4

4. Bahmni-reports not working

Solution : for now it works after degrading bahmni-reports to previous version 

5. Error : "Cannot read bahmnicore properties" [ERROR] OpenElisPatientFailedEventsFeedClientImpl - openelisatomfeedclient:failed feed execution while running failed java.lang.NullPointerException at org.bahmni.module.bahmnicore.properties.BahmniCoreProperties.getProperty(BahmniCoreProperties.java:28)

This is yet not solved. This problem persists even when other modules try to read bahmnicore.properties file .  

@angshuonline, can you help us solve this ?

6. /opt/openmrs/bin/start.sh: line 3: /var/run/openmrs/openmrs.pid: No such file or directory

 solution : manually create openmrs.pid and restart 

@utsavdeshar | @sanjayap | @deepakneupane | @suruchi

@buvaneswariarun can we pull all these issues as the part of PAT call agenda which has been mentioned by @laxman, if relevant ?

Cc @angshuonline

@sanjayap, @laxman , A couple of issues mentioned in the thread, has already been discussed and solutions were posted. Please have a look into this.

2 Likes

Issue 1, 2, mentioned has been discussed in the thread posted above. Issue 3: This will be a document update on .92 release. Please find odoo related known/solved issues in the link mentioned https://bahmni.atlassian.net/wiki/spaces/BAH/pages/1329561601/Odoo+issues+-+Related+to+.92+release Issue 4: Kindly post the bahmni-report logs for further investigations. Issue 5: What is the functionality loss that you are facing because of this issue? Can you elaborate on this further. ? Issue 6: I am assuming you are trying to restart openmrs and its not working.If its your local vagrant , you can try this. Remove the /var/run/openmrs/ folder and try to start the openmrs service.

1 Like

Thanks @buvaneswariarun, Please find the answers below.

Issue 4 in detail is posted in Bahmni-report error on bahmni-installer 147.

Issue 5 : Due to this we cannot read the bahmnicore properties file from any other module(omod), to be specific we are using openmrs-module-insurance-integration (https://github.com/Bahmni/openmrs-module-insurance-integration) and also as mentioned in the log same issue with openelisatomfeedclient as well.

Hi Laxman, I have the following questions. Can you answer this?

  1. What is the sequence of steps that you followed while installing? - meaning, when you found out that the ansible is missing, did you install bahmni again after installing ansible? - We are not able to reproduce this in our env.
  2. The customised DB, meaning, you are restoring DB dumps taken from 142 and applied the same in 147?
  3. Did you try installing bahmni-reports again and check if the issue persists?

Hi @buvaneswariarun, Please find my answers below

  1. In fresh installation of CentOS Linux release 7.6.1810, there is no ansible so we need to install manually and it installs the latest version of anisble , after this when we trigger the bahmni installation using 147 installer it gives error saying it could not parse in playbooks(sorry i don’t have the exact log for now) and after that we degraded the ansible to 2.4.2.0 and triggered installation and this time it works. I refered to this as well Installing 0.92 on Centos 7.6.1810

  2. No its not customized or backup db of 142 , it is the fresh installation using 147 installation.

  3. we did not try re-installation with same version of bahmni-reports.We will see in next installation for this.

Kindly try the new patch that was released yesterday. This patch address most of the installation issues mentioned above. Let us know your comments.

1 Like

Thanks We will try and let you know.